Debian Bug report logs - #665487
dovecot-managesieved: Error upgrading dovecot with managesieved

version graph

Package: dovecot-managesieved; Maintainer for dovecot-managesieved is Dovecot Maintainers <jaldhar-dovecot@debian.org>; Source for dovecot-managesieved is src:dovecot.

Reported by: Laurens Blankers <laurens@blankersfamily.com>

Date: Sat, 24 Mar 2012 16:21:01 UTC

Severity: grave

Tags: patch

Found in version dovecot/1:2.0.18-1

Fixed in version dovecot/1:2.1.7-3

Done: jaldhar@debian.org (Jaldhar H. Vyas)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sat, 24 Mar 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurens Blankers <laurens@blankersfamily.com>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 24 Mar 2012 16:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurens Blankers <laurens@blankersfamily.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sat, 24 Mar 2012 17:11:33 +0100
Package: dovecot-managesieved
Version: 1:2.0.18-1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

When upgrading dovecot from 2.0.15-1 to 1:2.0.18-1 the configuration failed withe errors related to managesieved.

Here is the relevant output from the 'aptitude safe-upgrade':

-- BEGIN --
Unpacking replacement dovecot-managesieved ...
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf: Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 9: Unknown setting: managesieve_notify_capability
Starting IMAP/POP3 mail server: dovecotdoveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf: Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 9: Unknown setting: managesieve_notify_capability
 failed!
invoke-rc.d: initscript dovecot, action "start" failed.
dpkg: warning: subprocess old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf: Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 9: Unknown setting: managesieve_notify_capability
Starting IMAP/POP3 mail server: dovecotdoveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf: Error: Module is for different version 2.0.18: /usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf: Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 9: Unknown setting: managesieve_notify_capability
 failed!
invoke-rc.d: initscript dovecot, action "start" failed.
dpkg: error processing /var/cache/apt/archives/dovecot-managesieved_1%3a2.0.18-1_i386.deb (--unpack):
 subprocess new post-removal script returned error exit status 1
configured to not write apport reports
[..]
Errors were encountered while processing:
 /var/cache/apt/archives/dovecot-managesieved_1%3a2.0.18-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
[..]
Errors were encountered while processing:
 dovecot-core
 dovecot-sieve
 dovecot-imapd
 dovecot-common
 dovecot-ldap
-- END --

At this point dovecot seems to refuse to start.

After commenting the line 9 in dovecot.conf starting with 'managesieve_notify_capability' and rerunning safe-upgrade the following errors were encountered:

-- BEGIN --
Preparing to replace dovecot-managesieved 1:2.0.15-1 (using .../dovecot-managesieved_1%3a2.0.18-1_i386.deb) ...
doveconf: Error: Module is for different version 2.0.15: /usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf: Error: Module is for different version 2.0.15: /usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf: Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 10: Unknown setting: managesieve_sieve_capability
-- END --

After commenting out line 10 in the configuration file and restarting dovecot the mail server worked again.

Relevant lines in dovecot.conf:

9: managesieve_notify_capability = mailto
10 managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date imapflags

Expected outcome: upgrading would have worked without causing dovecot to fail to start.

Actual outcome: manual intervention was required to revive dovecot

Classification: grave, because upgrade left dovecot unable to start

Sincerly,

Laurens

-- Package-specific info:

dovecot configuration
---------------------
# 2.0.18: /etc/dovecot/dovecot.conf
# OS: Linux 3.2.0-1-686-pae i686 Debian wheezy/sid ext3
auth_mechanisms = plain login
disable_plaintext_auth = no
log_timestamp = "%Y-%m-%d %H:%M:%S "
login_greeting = Courier-IMAP ready.
mail_location = maildir:/var/mail/%d/%n/Maildir
mail_privileged_group = mail
managesieve_notify_capability = mailto
managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date ihave imapflags
namespace {
  inbox = yes
  location = 
  prefix = INBOX.
  type = private
}
passdb {
  args = /etc/dovecot/dovecot-ldap-uid.conf
  driver = ldap
}
passdb {
  args = /etc/dovecot/dovecot-ldap.conf
  driver = ldap
}
plugin {
  sieve_extensions = +imapflags
}
protocols = imap sieve
service auth {
  unix_listener /var/spool/postfix/private/auth {
    group = postfix
    mode = 0660
    user = postfix
  }
  unix_listener auth-master {
    mode = 0600
    user = vmail
  }
  unix_listener auth-userdb {
    group = vmail
    mode = 0660
    user = vmail
  }
  user = root
}
service managesieve-login {
  inet_listener sieve_deprecated {
    port = 2000
  }
}
ssl_cert = </etc/apache2/ssl/blankersfamily.com/combined.crt
ssl_key = </etc/apache2/ssl/blankersfamily.com/blankersfamily.key
userdb {
  args = uid=vmail gid=vmail home=/var/mail/%d/%n/ allow_all_users=yes
  driver = static
}
verbose_proctitle = yes
protocol imap {
  mail_max_userip_connections = 30
}
protocol pop3 {
  pop3_uidl_format = %08Xu%08Xv
}
protocol lda {
  mail_plugins = sieve
  postmaster_address = postmaster@blankersfamily.com
}

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dovecot-managesieved depends on:
ii  dovecot-core   1:2.0.18-1
ii  dovecot-sieve  1:2.0.18-1
ii  libc6          2.13-27
ii  libssl1.0.0    1.0.0h-1
ii  ucf            3.0025+nmu2

dovecot-managesieved recommends no packages.

dovecot-managesieved suggests no packages.

Versions of packages dovecot-managesieved is related to:
pn  dovecot-common                 1:2.0.18-1
pn  dovecot-core [dovecot-common]  1:2.0.18-1
pn  dovecot-dbg                    <none>
pn  dovecot-dev                    <none>
pn  dovecot-gssapi                 <none>
pn  dovecot-imapd                  1:2.0.18-1
pn  dovecot-ldap                   1:2.0.18-1
pn  dovecot-lmtpd                  <none>
pn  dovecot-managesieved           1:2.0.18-1
pn  dovecot-mysql                  <none>
pn  dovecot-pgsql                  <none>
pn  dovecot-pop3d                  <none>
pn  dovecot-sieve                  1:2.0.18-1
pn  dovecot-sqlite                 <none>

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sat, 07 Apr 2012 18:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gavin Pidgley <gavin@gadago.net>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 07 Apr 2012 18:24:02 GMT) Full text and rfc822 format available.

Message #10 received at 665487@bugs.debian.org (full text, mbox):

From: Gavin Pidgley <gavin@gadago.net>
To: <665487@bugs.debian.org>
Subject: Error upgrading dovecot with managesieved
Date: Sat, 07 Apr 2012 18:18:41 +0100
[Message part 1 (text/plain, inline)]
  

Same issue here. See logs: 

Stopping IMAP/POP3 mail server:
dovecot.
Unpacking replacement dovecot-managesieved ...
doveconf: Error:
Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf:
Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf:
Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 12:
Unknown setting: managesieve_notify_capability
Starting IMAP/POP3 mail
server: dovecotdoveconf: Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf:
Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf:
Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 12:
Unknown setting: managesieve_notify_capability
 failed!
invoke-rc.d:
initscript dovecot, action "start" failed.
dpkg: warning: subprocess old
post-removal script returned error exit status 1
dpkg - trying script
from the new package instead ...
doveconf: Error: Module is for
different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf:
Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf:
Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 12:
Unknown setting: managesieve_notify_capability
Starting IMAP/POP3 mail
server: dovecotdoveconf: Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_login_settings.so
doveconf:
Error: Module is for different version 2.0.18:
/usr/lib/dovecot/modules/settings/libmanagesieve_settings.so
doveconf:
Fatal: Error in configuration file /etc/dovecot/dovecot.conf line 12:
Unknown setting: managesieve_notify_capability
 failed!
invoke-rc.d:
initscript dovecot, action "start" failed.
dpkg: error processing
/var/cache/apt/archives/dovecot-managesieved_1%3a2.0.18-1_amd64.deb
(--unpack):
 subprocess new post-removal script returned error exit
status 1
configured to not write apport reports
 Starting IMAP/POP3 mail
server: dovecot.
Restarting IMAP/POP3 mail server: dovecot.
Preparing to
replace dovecot-sieve 1:2.0.15-1 (using
.../dovecot-sieve_1%3a2.0.18-1_amd64.deb) ...
Unpacking replacement
dovecot-sieve ...
Starting IMAP/POP3 mail server: dovecot.
Preparing to
replace dovecot-pgsql 1:2.0.15-1 (using
.../dovecot-pgsql_1%3a2.0.18-1_amd64.deb) ...
Unpacking replacement
dovecot-pgsql ...
Starting IMAP/POP3 mail server: dovecot.
Preparing to
replace dovecot-sqlite 1:2.0.15-1 (using
.../dovecot-sqlite_1%3a2.0.18-1_amd64.deb) ...
Unpacking replacement
dovecot-sqlite ...
Starting IMAP/POP3 mail server: dovecot.
Preparing to
replace dovecot-gssapi 1:2.0.15-1 (using
.../dovecot-gssapi_1%3a2.0.18-1_amd64.deb) ...
Unpacking replacement
dovecot-gssapi ...
Preparing to replace dovecot-pop3d 1:2.0.15-1 (using
.../dovecot-pop3d_1%3a2.0.18-1_amd64.deb) ...
Stopping IMAP/POP3 mail
server: dovecot.
Unpacking replacement dovecot-pop3d ...
Starting
IMAP/POP3 mail server: dovecot.
Preparing to replace dovecot-ldap
1:2.0.15-1 (using .../dovecot-ldap_1%3a2.0.18-1_amd64.deb) ...
Unpacking
replacement dovecot-ldap ...
Starting IMAP/POP3 mail server: dovecot. 


[Message part 2 (text/html, inline)]

Added tag(s) patch. Request was from Ivo De Decker <ivo.dedecker@ugent.be> to control@bugs.debian.org. (Sat, 18 Aug 2012 23:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sat, 18 Aug 2012 23:12:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sat, 18 Aug 2012 23:12:19 GMT) Full text and rfc822 format available.

Message #17 received at 665487@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: 665487@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sun, 19 Aug 2012 01:04:27 +0200
[Message part 1 (text/plain, inline)]
tags 665487 patch
thanks

Hi,

On Sat, Mar 24, 2012 at 05:11:33PM +0100, Laurens Blankers wrote:
> When upgrading dovecot from 2.0.15-1 to 1:2.0.18-1 the configuration failed
> withe errors related to managesieved.

> dpkg: warning: subprocess old post-removal script returned error exit status
> 1

The problem is that the postrm script of each dovecot plugin tries to start
dovecot unconditionally. It should only start dovecot when the plugin was
removed or purged, not when the plugin in being upgraded. In that case, the
postrm will run when the files from the plugin package have been replaced by
the files from the newer version, but you cannot be sure that the files from
dovecot-core will be upgraded at that point.

On upgrade, dovecot will be started by the postinst script of the plugin. By
the time this runs, the version of dovecot-core and dovecot-(plugin) will be
the same (because there is a strict versioned dependency). So there will be no
version mismatch.

The attached (UNTESTED!) patch probably fixes this problem for
dovecot-managesieved.

This problem likely affects the other dovecot plugins with similar maintainer
scripts in the same way.


Cheers,

Ivo


[dovecot-managesieved.postrm.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sun, 30 Sep 2012 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Filion <lelutin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 30 Sep 2012 04:15:03 GMT) Full text and rfc822 format available.

Message #22 received at 665487@bugs.debian.org (full text, mbox):

From: Gabriel Filion <lelutin@gmail.com>
To: 665487@bugs.debian.org
Subject: Re: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sun, 30 Sep 2012 00:13:18 -0400
This bug concerns a somewhat old version (current version in both
squeeze-backports and wheezy is 1:2.1.7-2).

Also, the package dovecot-managesieved doesn't exist in the squeeze
archive. So I can't install the same version as in the original report.

Finally, the provided patch does not apply to the current
dovecot-managesieved.postrm file, so I marked it as unreproducible.

-- 
Gabriel Filion



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sun, 30 Sep 2012 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 30 Sep 2012 05:00:03 GMT) Full text and rfc822 format available.

Message #27 received at 665487@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Gabriel Filion <lelutin@gmail.com>, 665487@bugs.debian.org
Cc: debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>
Subject: Re: Bug#665487: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sun, 30 Sep 2012 00:46:53 -0400 (EDT)
On Sun, 30 Sep 2012, Gabriel Filion wrote:

> This bug concerns a somewhat old version (current version in both
> squeeze-backports and wheezy is 1:2.1.7-2).
>
> Also, the package dovecot-managesieved doesn't exist in the squeeze
> archive. So I can't install the same version as in the original report.
>
> Finally, the provided patch does not apply to the current
> dovecot-managesieved.postrm file, so I marked it as unreproducible.
>

Thanks for looking into this.  However the bug reporter was right about 
the underlying problem which is that dovecot restarts prematurely.  This 
is still a concern in the current version.  So in 1:2.1.7-3 which I am 
about to release soon, I aim to solve that problem with dpkg triggers.



-- 
Jaldhar H. Vyas <jaldhar@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sun, 30 Sep 2012 05:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriel Filion <lelutin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 30 Sep 2012 05:39:03 GMT) Full text and rfc822 format available.

Message #32 received at 665487@bugs.debian.org (full text, mbox):

From: Gabriel Filion <lelutin@gmail.com>
To: "Jaldhar H. Vyas" <jaldhar@debian.org>
Cc: 665487@bugs.debian.org, debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>
Subject: Re: Bug#665487: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sun, 30 Sep 2012 01:35:07 -0400
On 2012-09-30 00:46, Jaldhar H. Vyas wrote:
> On Sun, 30 Sep 2012, Gabriel Filion wrote:
> 
>> This bug concerns a somewhat old version (current version in both
>> squeeze-backports and wheezy is 1:2.1.7-2).
>>
>> Also, the package dovecot-managesieved doesn't exist in the squeeze
>> archive. So I can't install the same version as in the original report.
>>
>> Finally, the provided patch does not apply to the current
>> dovecot-managesieved.postrm file, so I marked it as unreproducible.
>>
> 
> Thanks for looking into this.  However the bug reporter was right about
> the underlying problem which is that dovecot restarts prematurely.  This
> is still a concern in the current version.  So in 1:2.1.7-3 which I am
> about to release soon, I aim to solve that problem with dpkg triggers.

great! :)

if you need help in testing the new package, I can try and upgrade to it
to confirm that the problem was solved.

-- 
Gabriel Filion



Added tag(s) pending. Request was from "Jaldhar H. Vyas" <jaldhar@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 05:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dovecot Maintainers <jaldhar-dovecot@debian.org>:
Bug#665487; Package dovecot-managesieved. (Sun, 30 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jaldhar H. Vyas" <jaldhar@debian.org>:
Extra info received and forwarded to list. Copy sent to Dovecot Maintainers <jaldhar-dovecot@debian.org>. (Sun, 30 Sep 2012 05:51:03 GMT) Full text and rfc822 format available.

Message #39 received at 665487@bugs.debian.org (full text, mbox):

From: "Jaldhar H. Vyas" <jaldhar@debian.org>
To: Gabriel Filion <lelutin@gmail.com>
Cc: 665487@bugs.debian.org
Subject: Re: Bug#665487: dovecot-managesieved: Error upgrading dovecot with managesieved
Date: Sun, 30 Sep 2012 01:46:47 -0400 (EDT)
On Sun, 30 Sep 2012, Gabriel Filion wrote:

> great! :)
>
> if you need help in testing the new package, I can try and upgrade to it
> to confirm that the problem was solved.
>

Are you comfortable with building a package from git?  If so you can find
the source at git.debian.org/git/collab-maint/dovecot.git
otherwise let me know and I'll put binary packages up somewhere.


-- 
Jaldhar H. Vyas <jaldhar@debian.org>



Reply sent to jaldhar@debian.org (Jaldhar H. Vyas):
You have taken responsibility. (Sat, 10 Nov 2012 09:51:14 GMT) Full text and rfc822 format available.

Notification sent to Laurens Blankers <laurens@blankersfamily.com>:
Bug acknowledged by developer. (Sat, 10 Nov 2012 09:51:15 GMT) Full text and rfc822 format available.

Message #44 received at 665487-close@bugs.debian.org (full text, mbox):

From: jaldhar@debian.org (Jaldhar H. Vyas)
To: 665487-close@bugs.debian.org
Subject: Bug#665487: fixed in dovecot 1:2.1.7-3
Date: Sat, 10 Nov 2012 09:47:51 +0000
Source: dovecot
Source-Version: 1:2.1.7-3

We believe that the bug you reported is fixed in the latest version of
dovecot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665487@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jaldhar H. Vyas <jaldhar@debian.org> (supplier of updated dovecot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Nov 2012 03:50:30 -0500
Source: dovecot
Binary: dovecot-common dovecot-core dovecot-dev dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-pgsql dovecot-mysql dovecot-sqlite dovecot-ldap dovecot-gssapi dovecot-sieve dovecot-solr dovecot-dbg
Architecture: source all i386
Version: 1:2.1.7-3
Distribution: unstable
Urgency: high
Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
Changed-By: Jaldhar H. Vyas <jaldhar@debian.org>
Description: 
 dovecot-common - Transitional package for dovecot
 dovecot-core - secure mail server that supports mbox, maildir, dbox and mdbox ma
 dovecot-dbg - debug symbols for Dovecot
 dovecot-dev - header files for the dovecot mail server
 dovecot-gssapi - GSSAPI authentication support for Dovecot
 dovecot-imapd - secure IMAP server that supports mbox, maildir, dbox and mdbox ma
 dovecot-ldap - LDAP support for Dovecot
 dovecot-lmtpd - secure LMTP server for Dovecot
 dovecot-managesieved - secure ManageSieve server for Dovecot
 dovecot-mysql - MySQL support for Dovecot
 dovecot-pgsql - PostgreSQL support for Dovecot
 dovecot-pop3d - secure POP3 server that supports mbox, maildir, dbox and mdbox ma
 dovecot-sieve - sieve filters support for Dovecot
 dovecot-solr - Solr full text search support for Dovecot
 dovecot-sqlite - SQLite support for Dovecot
Closes: 601744 608719 623440 631257 665487 679017 680035 680992 685850 685896 686931 688197 688407 692632
Changes: 
 dovecot (1:2.1.7-3) unstable; urgency=high
 .
   [ Jaldhar H. Vyas ]
   * [03d5499] Do not generate new dovecot cert if key or cert is already
     present (Closes: #685896,#631257) Thanks to Alexander Ufimtsev
     <alexu@ucd.ie> and Jörg-Volker Peetz <jvpeetz@web.de> for patches.
   * [5be6c2a] You should be able to upgrade and remove dovecot-managesieved
     without errors (Closes: #665487)
   * [1a9ad5c] Fixes instances where UTF-8 was misused instead of mUTF-7
     (Closes: #680035)
   * [c0ac3ba] Backport of fix for failure to autocreate mailboxes
     (Closes: #623440) This also requires setting the default mail_location.
   * [ba1d3f5] Fix FTBS on Hurd (Closes: #686931) via upstream patch backported
     from mercurial.
   * [cfa92b5] Upgrade pigeonhole page to 0.3.1 (Closes: #688407)
   * [58f01c2] Generated certificates will now be created in /etc/dovecot
     (Closes: #608719)
   * [8e40ea5] Patch to build with PIE and bindnow
     by intrigeri@debian.org (Closes: #679017)
   * [87d982b] Use libwrap (Closes: #685850)
   * [ebb5421] Start after nslcd (Closes: #692632)
   * [2db5c1a] Add support for dpkg triggers.  This means dovecot will not be
     repeatedly restarted when installing or removing lots of plugins
     (Closes: #601744)
   * [bc66629] Patch to document -k in dsync.1
     by Luca Capello <luca@pca.it> (Closes: #680992)
   * [ba67766] Add lintian overrides.
 .
   [ Marco Nenciarini ]
   * [ffba408] Updated watch file
   * [9777434] Install missing default configuration files from upstream
   * [9496828] Backport fix for segfault in managesieve triggered by
     CHECKSCRIPT command. (Closes: #688197)
Checksums-Sha1: 
 fc214389781ea1baa5d6c952a92150b91e062f41 2302 dovecot_2.1.7-3.dsc
 68fc6c80b71946d88f492b3182cb73b43b921bbe 3778791 dovecot_2.1.7.orig.tar.gz
 e76fe2be1ed86cc0d902075c0a9b809e0c33123b 1122202 dovecot_2.1.7-3.debian.tar.gz
 be524789212c2d93468c6534727a9eeb26f41ca5 24334 dovecot-common_2.1.7-3_all.deb
 bf66eebcb3be8fd00ced5386ae21422e66bc602b 2904766 dovecot-core_2.1.7-3_i386.deb
 3dde1cedbd32d9d3cadb92bad91e8f69e0ab2551 575134 dovecot-dev_2.1.7-3_i386.deb
 e0d6ff48376c3d8e4e294ece3c7428f28f2d58b0 425784 dovecot-imapd_2.1.7-3_i386.deb
 28365bf859187cef0035054f20b9a8df00f80277 362254 dovecot-pop3d_2.1.7-3_i386.deb
 77db62ff3a14ed98669f91f67d0a915abcd7e7ca 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 a8519658c4682b7d864fd3a324429ecc21123ddf 391868 dovecot-managesieved_2.1.7-3_i386.deb
 78f254335bcb4a249638fae46923dc65435e2025 344526 dovecot-pgsql_2.1.7-3_i386.deb
 20e2a52347f6b8952f1f8d627aeabd6ad7cba6c5 341474 dovecot-mysql_2.1.7-3_i386.deb
 cdec2f0afd8444c62ca0e20d8ce3aec6564b72d4 339372 dovecot-sqlite_2.1.7-3_i386.deb
 f8a025212d3acb439d75fc16c8c2f455d9fc5362 354766 dovecot-ldap_2.1.7-3_i386.deb
 5a489e67985a2d54798a0071b4e6eea5ca049691 339910 dovecot-gssapi_2.1.7-3_i386.deb
 f00799e18956a8bdfdebc517d120fd4cbeb63fd1 593878 dovecot-sieve_2.1.7-3_i386.deb
 7d4c34c566cba44d87134024cf8bdb6ba7e31b63 352894 dovecot-solr_2.1.7-3_i386.deb
 ce4314741b29217b06c96017d4bd24f560977a92 5162908 dovecot-dbg_2.1.7-3_i386.deb
Checksums-Sha256: 
 6edb0b85f8ab53725a56bbdddc70c7a84629a60ebdf7e7c04039d4fd33bd1640 2302 dovecot_2.1.7-3.dsc
 d5b7bc61fff947722aebe12ebb25e92c38ce3e27e14ebc54cfc66f0b346cf452 3778791 dovecot_2.1.7.orig.tar.gz
 3b42fcac3da3363adfd73d44028934e459e5dc4978a2e46c199c8d683552945a 1122202 dovecot_2.1.7-3.debian.tar.gz
 bdcab7c81890fd1c1dd1dda7e7448ebf8c66d3d440dcc43637c55e322ee5d269 24334 dovecot-common_2.1.7-3_all.deb
 29049980e636782d223feebc77a9eec6f259ab0d6eb1c45bf1d933150413e4a6 2904766 dovecot-core_2.1.7-3_i386.deb
 bd8ec5ad11b543e995eddfc79b68535fe0c380b474fbb99b355e0de35928c734 575134 dovecot-dev_2.1.7-3_i386.deb
 ed6f975bb23f4f184bab515edb53a15811aace0338bfdb65d639aa807df49b4f 425784 dovecot-imapd_2.1.7-3_i386.deb
 ca9f30122c2e7c306127d75559b76f95e760e6b5c6ae198563ace41c1cf79ca0 362254 dovecot-pop3d_2.1.7-3_i386.deb
 c6e9c6c675c00dfbaf7912a51e196a2b1fbe8e333637d10978595680af55bf76 352092 dovecot-lmtpd_2.1.7-3_i386.deb
 f2bb74cdcc436e09cac2bb8cf6852e32cbb03505a06b04ef708365ceaf079c03 391868 dovecot-managesieved_2.1.7-3_i386.deb
 0c15f02e8f1bf95d7331b575bfd4c1d92b4bfc2fe1d2ed379836b62b6fabafe1 344526 dovecot-pgsql_2.1.7-3_i386.deb
 9f78494eed34320339db71869bc6fefa5ae500e8fa6ed0e4c454aee21b855f84 341474 dovecot-mysql_2.1.7-3_i386.deb
 cfcf5001cff31cf140902b5500e1458612deac0a3320d3b203c21a6edcbaf47f 339372 dovecot-sqlite_2.1.7-3_i386.deb
 c3da8c0570784efc54e56281a3e44fbde5159e00a3cf43d4c419e63b881f6a64 354766 dovecot-ldap_2.1.7-3_i386.deb
 e342c8ea392177600a8f924a1397f24b685bcbaa408731f252abec46f5c502fa 339910 dovecot-gssapi_2.1.7-3_i386.deb
 ebd6d5f7d953f8429a2b9a9096d29e90ecbb886c90351268cd148346c8e9caa2 593878 dovecot-sieve_2.1.7-3_i386.deb
 cedc7aae9e80f8a236f91d7f64ac7b916091435098c22d74df5eb0eaeac8a9e5 352894 dovecot-solr_2.1.7-3_i386.deb
 c2c6343c719eb56a606a69ad8146f94dde9faa5b23008caaf4d97919e2f255ba 5162908 dovecot-dbg_2.1.7-3_i386.deb
Files: 
 dd75e78bafaa120e51d53e6721872183 2302 mail optional dovecot_2.1.7-3.dsc
 b52d0faf1b9ec21bc5552691fe0ff1d1 3778791 mail optional dovecot_2.1.7.orig.tar.gz
 cd5b424acc33ec3b2869c653ada4a81f 1122202 mail optional dovecot_2.1.7-3.debian.tar.gz
 6fecccf2ed6e7059976d207112e55f95 24334 oldlibs extra dovecot-common_2.1.7-3_all.deb
 e2d05e9aaaea58dca7ed18a59dff3f47 2904766 mail optional dovecot-core_2.1.7-3_i386.deb
 24835517f773ac84656ff565ccc9b582 575134 mail optional dovecot-dev_2.1.7-3_i386.deb
 345ddd1e6951ecf19062b76a252a6dc5 425784 mail optional dovecot-imapd_2.1.7-3_i386.deb
 15ea869e54f97f5662dc6da3b748890d 362254 mail optional dovecot-pop3d_2.1.7-3_i386.deb
 a5d5f737cf478b152ad0972f407da362 352092 mail optional dovecot-lmtpd_2.1.7-3_i386.deb
 743e5c70391e0891330223aebc211930 391868 mail optional dovecot-managesieved_2.1.7-3_i386.deb
 ee4affa6f6cefc7dfab303e0a77bacb4 344526 mail optional dovecot-pgsql_2.1.7-3_i386.deb
 05f16f90cbbafe88ffa94a26a84b5c1a 341474 mail optional dovecot-mysql_2.1.7-3_i386.deb
 d5fdf9c3d6a4be3ffa8db682ce8bbd7f 339372 mail optional dovecot-sqlite_2.1.7-3_i386.deb
 a52d998a9c883918135f22e73184f939 354766 mail optional dovecot-ldap_2.1.7-3_i386.deb
 a830e705db928a42b168f38da6a07129 339910 mail optional dovecot-gssapi_2.1.7-3_i386.deb
 a181ac405f72b51dfa120567d82cf079 593878 mail optional dovecot-sieve_2.1.7-3_i386.deb
 58ec02816e35e9809abcdfb5709487c9 352894 mail optional dovecot-solr_2.1.7-3_i386.deb
 b59cead5a4591ac736c80f18dbb6b96b 5162908 debug extra dovecot-dbg_2.1.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlCdoeQACgkQ2kYOR+5txmryYACfcU/4H34xaovRKIVfNXoWxAws
Pm4An1QP9vpv7a6NSvGIzVX3zXtM/4UZ
=iaiO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Dec 2012 07:29:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:39:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.